package db

import (
	"github.com/google/wire"
	"gorm.io/gorm"
)

var DciProvider = wire.NewSet(NewDci)

func NewDci() *gorm.DB {
	//connOaMeeting := strings.Join([]string{dciConfig.Data.ChainDci.User, ":", dciConfig.Data.ChainDci.Password,
	//	"@tcp(", dciConfig.Data.ChainDci.Host, ":", dciConfig.Data.ChainDci.Port, ")/",
	//	dciConfig.Data.ChainDci.DbName, "?charset=utf8mb4&parseTime=true"}, "")
	//DbOaMeeting := loadMysqlConn(connOaMeeting)
	return nil
}
